%define upstream_name    Test-Trap
%define upstream_version v0.3.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Trap exit codes, exceptions, output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Tester) >= 0.107.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Primarily (but not exclusively) for use in test scripts: A block eval on
steroids, configurable and extensible, but by default trapping (Perl)
STDOUT, STDERR, warnings, exceptions, would-be exit codes, and return
values from boxed blocks of test code.

The values collected by the latest trap can then be queried or tested
through a special trap object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Fri Jul 29 2022 tv <tv> 0.3.5-1.mga9
+ Revision: 1872807
- update to v0.3.5

* Mon Mar 21 2022 umeabot <umeabot> 0.3.4-3.mga9
+ Revision: 1810962
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3.4-2.mga8
+ Revision: 1519448
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Oct 15 2018 tv <tv> 0.3.4-1.mga7
+ Revision: 1320632
- update to v0.3.4

* Thu Sep 20 2018 umeabot <umeabot> 0.3.3-3.mga7
+ Revision: 1286824
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.3.3-2.mga7
+ Revision: 1166933
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.3.3-1.mga7
+ Revision: 1159285
- update to v0.3.3

* Sun Jun 19 2016 pterjan <pterjan> 0.3.2-3.mga6
+ Revision: 1034658
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.2-2.mga6
+ Revision: 967277
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.3.2-1.mga6
+ Revision: 848603
- update to v0.3.2

* Sun Oct 19 2014 umeabot <umeabot> 0.2.4-4.mga5
+ Revision: 790615
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-3.mga5
+ Revision: 742896
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-2.mga5
+ Revision: 686561
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.2.4-1.mga5
+ Revision: 619683
- update to v0.2.4

* Sun Feb 09 2014 sander85 <sander85> 0.2.3-1.mga5
+ Revision: 587237
- update to v0.2.3

* Fri Oct 18 2013 umeabot <umeabot> 0.2.2-3.mga4
+ Revision: 515377
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 373860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.2.2-1.mga2
+ Revision: 220012
- update to v0.2.2

* Sun Jan 23 2011 jquelin <jquelin> 0.2.1-1.mga1
+ Revision: 34292
- mageia rebuild
- imported package perl-Test-Trap

